instalación de pip requiere tls / ssl

Tengo un problema con la instalación de python en mi escritorio OVH vps kubuntu 14.04. Lo que necesito hacer ?

:~/Desktop# python get-pip.py pip is configured with locations that require TLS/SSL, however the ssl module in Python is not available. Collecting pip Could not fetch URL https://pypi.python.org/simple/pip/: There was a problem confirming the ssl certificate: Can't connect to HTTPS URL because the SSL module is not available. - skipping Could not find a version that satisfies the requirement pip (from versions: ) No matching distribution found for pip 

Debes intentar instalar los repositorys de tus paquetes.

 sudo apt-get install python-pip 

Llamando más la atención al comentario de @Arduino_Sentinel

Parece que instalaste Python ejecutando make, ¿verdad? En ese caso, recomiendo instalar libssl-dev y reconstruir + reinstalar Python

En una instalación nueva de Debian, había instalado Python 3.6 a través de

 wget https://www.python.org/ftp/python/3.6.3/Python-3.6.3.tgz tar xvf Python-3.6.3.tgz cd Python-3.6.3 ./configure make make altinstall 

crear un virtualenv con virtualenv -p python3.6 env y posteriormente intentar instalar algo con env/bin/pip produciría los errores de la pregunta.

El comentario citado anteriormente resolvió el problema en mi servidor.